@import url('https://fonts.googleapis.com/css2?family=Instrument+Serif:ital@0;1&family=Pirata+One&display=swap');

*{
    padding: 0;
    margin: 0;
}

body{
    height: 100vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f7f7f9;
    font-family: "Instrument Serif";
}

main{
    width: 480px;
    background-color: white;
    display: flex;
    flex-direction: column;
    padding: 64px 32px;
    gap: 16px;
    border-radius: 16px;
    box-shadow: rgba(0,0,0,.05) 0 0 23px;
}

h1, h2{
    font-family: "Pirata One", serif;
    font-weight: 400;
}

.title{
    display: flex;
    justify-content: center;
}

.title h1{
    font-size: 45px;
}

.guess{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.guess .input-container{
    display: flex;
    gap: 16px;
}

.guess .input-container label{
    font-size: 28px;
}

.guess .input-container input{
    font-size: 28px;
    font-family: "Instrument Serif";
    border: none;
    border-bottom: 1px dashed black;
    width: 60px;
    font-weight: 600;
}

input:focus,
input:hover,
input:active,
input:focus-visible,
input:focus-within {
  outline: none;
}

.guess button{
    font-family: Impact;
    padding: 8px 16px;
    border: solid #d02323 4px;
    border-radius: 4px;
    background-color: transparent;
    font-size: 18px;
    color: #d02323;
    transform: rotate(5deg);
}

.guess button:hover{
    color: white;
    background-color: #d02323;
    cursor: pointer;
}

.separator{
    height: 1px;
    background-color: black;
}

.articles .separator{
    width: 50px;
}

.subtitle h2{
    font-size: 36px;
}

.articles{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
}

.article{
    font-size: 20px;
    font-weight: 500;
    line-height: 110%;
    width: 100%;
}

.toolbar{
    width: 80px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: end;
    gap: 8px;
}

.toolbar img{
    width: 50%;
}

.toolbar img:hover{
    cursor: pointer;
}

.hint-container{
    position: absolute;
    z-index: 1000;
    padding: 16px 32px;
    background-color: white;
    border-radius: 16px;
    box-shadow: rgba(0,0,0,.05) 0 0 23px;
    font-size: 20px;
    opacity: 0;
}

.fire{
    filter: saturate(0);
    opacity: .5;
}

.fire.active{
    filter: saturate(1);
    opacity: 1;
}